package body Anagram_Types is

   function Case_Insensitive_Hash (Key : String)
      return AI302.Containers.Hash_Type is

      Result : constant Charles.Hash_Type :=
        Charles.Strings.Case_Insensitive.Hash (Key);
   begin
      return AI302.Containers.Hash_Type (Result);
   end;

end Anagram_Types;



